path: /build/build/nvidia-kernel-modules-kernel-6.1-535.86.05+12.package.tar.zst
dependencies: []
compilespec:
  steps:
  - sed -i -e 's|versionator||g'  /var/git/meta-repo/kits/core-kit/eclass/nvidia-driver.eclass
  - rm -vf /var/git/meta-repo/kits/core-gl-kit/x11-drivers/nvidia-drivers/*.ebuild
    && rm -vf /var/git/meta-repo/kits/core-gl-kit/x11-drivers/nvidia-kernel-modules/*.ebuild
    && anise repo update && anise i -y nvidia-drivers && anise upgrade -y && anise
    cleanup && emerge =x11-drivers/nvidia-kernel-modules-535.86.05 -pv -t
  - |
    emerge -j ${JOBS} =x11-drivers/nvidia-kernel-modules-535.86.05
  - |
    eval 'rm -rf /nvidia-kernel-modules || true' && mkdir /nvidia-kernel-modules && \
    luet-portage --dir /nvidia-kernel-modules x11-drivers/nvidia-kernel-modules
  - for i in /nvidia-kernel-modules/lib/modules/6.1.92-macaroni/video/*.ko ; do zstd
    ${i} -o ${i}.zst --rm ; done
  env:
  - FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox"
  prelude: []
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:539e0c5905ce514e0dd90c9d4bf87fe4295d667472262f0cbf9288beadf61433
  package:
    name: nvidia-kernel-modules
    version: 535.86.05+12
    category: kernel-6.1
    requires:
    - name: kernel
      version: '>=0'
      category: seed-6.1
    annotations:
      kernel_module: true
    buildtimestamp: 2024-05-31 22:55:19.653299089 +0000 UTC m=+599.389813393
    labels:
      emerge.packages: x11-drivers/nvidia-kernel-modules
      kernel.suffix: macaroni
      kernel.type: vanilla
      kernel.version: 6.1.92
      original.package.version: 535.86.05
    treedir: /build/packages
  package_dir: /nvidia-kernel-modules
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/db/pkg/
  - ^/var/cache/portage/
  - ^/var/git/
  - ^/usr/share/doc/
  - ^/etc/modprobe.d/
  - ^/lib/udev/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 81dca58fa61f045cd0ddc6b7ac6248ec2f3ee0c5d13cfa9371eee05a30402342
compressiontype: zstd
files:
- lib/modules/6.1.92-macaroni/video/nvidia-drm.ko.zst
- lib/modules/6.1.92-macaroni/video/nvidia-modeset.ko.zst
- lib/modules/6.1.92-macaroni/video/nvidia-uvm.ko.zst
- lib/modules/6.1.92-macaroni/video/nvidia.ko.zst
package_cacheimage: ""
runtime:
  name: nvidia-kernel-modules
  version: 535.86.05+12
  category: kernel-6.1
  requires:
  - name: nvidia-drivers-common
    version: '>=0'
    category: kernel
  conflicts:
  - name: nvidia-kernel-open-modules
    version: 535.86.05
    category: kernel-6.1
  annotations:
    kernel_module: true
  labels:
    emerge.packages: x11-drivers/nvidia-kernel-modules
    kernel.suffix: macaroni
    kernel.type: vanilla
    kernel.version: 6.1.92
    original.package.version: 535.86.05
